Package org.eclipse.rdf4j.model.vocabulary

## Class LOCN

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.LOCN

-     public class LOCN
      extends Object

  Constants for the ISA Programme Location Core Vocabulary.
  Author:
    Bart Hanssens
  See Also:
    ISA Programme Location Core Vocabulary

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IRI` | `ADDRESS` | locn:Address
    `static IRI` | `ADDRESS_AREA` | locn:addressArea
    `static IRI` | `ADDRESS_ID` | locn:addressId
    `static IRI` | `ADDRESS_PROP` | locn:address
    `static IRI` | `ADMIN_UNIT_L1` | locn:adminUnitL1
    `static IRI` | `ADMIN_UNIT_L2` | locn:adminUnitL2
    `static IRI` | `FULL_ADDRESS` | locn:fullAddress
    `static IRI` | `GEOGRAPHIC_NAME` | locn:geographicName
    `static IRI` | `GEOMETRY` | locn:Geometry
    `static IRI` | `GEOMETRY_PROP` | locn:geometry
    `static IRI` | `LOCATION` | locn:location
    `static IRI` | `LOCATOR_DESIGNATOR` | locn:locatorDesignator
    `static IRI` | `LOCATOR_NAME` | locn:locatorName
    `static String` | `NAMESPACE` | The LOCN namespace: http://www.w3.org/ns/locn#
    `static Namespace` | `NS` | An immutable `Namespace` constant that represents the namespace.
    `static IRI` | `PO_BOX` | locn:poBox
    `static IRI` | `POST_CODE` | locn:postCode
    `static IRI` | `POST_NAME` | locn:postName
    `static String` | `PREFIX` | Recommended prefix for the namespace: "locn"
    `static IRI` | `THOROUGHFARE` | locn:thoroughfare

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LOCN()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The LOCN namespace: http://www.w3.org/ns/locn#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the namespace: "locn"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the namespace.

    - #### ADDRESS

          public static final IRI ADDRESS

      locn:Address

    - #### GEOMETRY

          public static final IRI GEOMETRY

      locn:Geometry

    - #### ADDRESS_PROP

          public static final IRI ADDRESS_PROP

      locn:address

    - #### ADDRESS_AREA

          public static final IRI ADDRESS_AREA

      locn:addressArea

    - #### ADDRESS_ID

          public static final IRI ADDRESS_ID

      locn:addressId

    - #### ADMIN_UNIT_L1

          public static final IRI ADMIN_UNIT_L1

      locn:adminUnitL1

    - #### ADMIN_UNIT_L2

          public static final IRI ADMIN_UNIT_L2

      locn:adminUnitL2

    - #### FULL_ADDRESS

          public static final IRI FULL_ADDRESS

      locn:fullAddress

    - #### GEOGRAPHIC_NAME

          public static final IRI GEOGRAPHIC_NAME

      locn:geographicName

    - #### GEOMETRY_PROP

          public static final IRI GEOMETRY_PROP

      locn:geometry

    - #### LOCATION

          public static final IRI LOCATION

      locn:location

    - #### LOCATOR_DESIGNATOR

          public static final IRI LOCATOR_DESIGNATOR

      locn:locatorDesignator

    - #### LOCATOR_NAME

          public static final IRI LOCATOR_NAME

      locn:locatorName

    - #### PO_BOX

          public static final IRI PO_BOX

      locn:poBox

    - #### POST_CODE

          public static final IRI POST_CODE

      locn:postCode

    - #### POST_NAME

          public static final IRI POST_NAME

      locn:postName

    - #### THOROUGHFARE

          public static final IRI THOROUGHFARE

      locn:thoroughfare

  - ### Constructor Detail

    - #### LOCN

          public LOCN()